#include<iostream>
using namespace std;
long i,j,N,k,r,A[1000];
int main(){
	cin>>N>>k;
	for(i=0;i<N;i++)cin>>A[i];
	if(k==0)for(i=0;i<N;i++)r+=A[i];
	if(k==1)for(i=0;i<N;i++)for(j=i;j<N;j++)r+=A[j]*(N-j);
	cout<<r;
	return 0;
}